org.apache.maven.scm.provider.accurev

## Class Transaction.Version

- java.lang.Object
- - org.apache.maven.scm.provider.accurev.Transaction.Version

Enclosing class:
  Transaction

    public class Transaction.Version
    extends Object

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getAncestorSpec()`
`Long` `getElementId()`
`String` `getElementName()`
`String` `getRealSpec()`
`Transaction` `getTransaction()`
`String` `getVirtualSpec()`
`void` `setAncestorSpec(String ancestorSpec)`
`void` `setElementId(Long elementId)`
`void` `setRealSpec(String realSpec)`
`void` `setVirtualSpec(String virtualSpec)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getVirtualSpec

    public String getVirtualSpec()

#### setVirtualSpec

    public void setVirtualSpec(String virtualSpec)

#### getAncestorSpec

    public String getAncestorSpec()

#### setAncestorSpec

    public void setAncestorSpec(String ancestorSpec)

#### setRealSpec

    public void setRealSpec(String realSpec)

#### setElementId

    public void setElementId(Long elementId)

#### getRealSpec

    public String getRealSpec()

#### getElementId

    public Long getElementId()

#### getTransaction

    public Transaction getTransaction()

#### getElementName

    public String getElementName()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`